import{s as G,n as Y,o as z}from"../chunks/scheduler.6062bdaf.js";import{S as K,i as V,g as s,s as i,r as O,A as J,h as d,f as a,c as r,j as R,u as N,x as w,k as M,y as Q,a as o,v as S,d as U,t as j,w as B}from"../chunks/index.4bca734e.js";import{H as F,g as W}from"../chunks/Heading.8904b53b.js";function X(L){let n,v,m,y,u,_,c,q=`The <code>huggingface_hub</code> library allows you to interact with the <a href="https://hf.co" rel="nofollow">Hugging Face
Hub</a>, a machine learning platform for creators and collaborators.
Discover pre-trained models and datasets for your projects or play with the hundreds of
machine learning apps hosted on the Hub. You can also create and share your own models
and datasets with the community. The <code>huggingface_hub</code> library provides a simple way to
do all these things with Python.`,x,h,E=`Read the <a href="quick-start">quick start guide</a> to get up and running with the
<code>huggingface_hub</code> library. You will learn how to download files from the Hub, create a
repository, and upload files to the Hub. Keep reading to learn more about how to manage
your repositories on the 🤗 Hub, how to interact in discussions or even how to access
the Inference API.`,H,l,D='<div class="w-full flex flex-col space-y-4 md:space-y-0 md:grid md:grid-cols-2 md:gap-y-4 md:gap-x-5"><a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./guides/overview"><div class="w-full text-center bg-gradient-to-br from-indigo-400 to-indigo-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">How-to guides</div> <p class="text-gray-700">Practical guides to help you achieve a specific goal. Take a look at these guides to learn how to use huggingface_hub to solve real-world problems.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./package_reference/overview"><div class="w-full text-center bg-gradient-to-br from-purple-400 to-purple-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Reference</div> <p class="text-gray-700">Exhaustive and technical description of huggingface_hub classes and methods.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./concepts/git_vs_http"><div class="w-full text-center bg-gradient-to-br from-pink-400 to-pink-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Conceptual guides</div> <p class="text-gray-700">High-level explanations for building a better understanding of huggingface_hub philosophy.</p></a></div>',T,g,k,p,I=`All contributions to the <code>huggingface_hub</code> are welcomed and equally valued! 🤗 Besides
adding or fixing existing issues in the code, you can also help improve the
documentation by making sure it is accurate and up-to-date, help answer questions on
issues, and request new features you think will improve the library. Take a look at the
<a href="https://github.com/huggingface/huggingface_hub/blob/main/CONTRIBUTING.md" rel="nofollow">contribution
guide</a> to
learn more about how to submit a new issue or feature request, how to submit a pull
request, and how to test your contributions to make sure everything works as expected.`,$,f,A=`Contributors should also be respectful of our <a href="https://github.com/huggingface/huggingface_hub/blob/main/CODE_OF_CONDUCT.md" rel="nofollow">code of
conduct</a> to
create an inclusive and welcoming collaborative space for everyone.`,C,b,P;return u=new F({props:{title:"🤗 Hub client library",local:"-hub-client-library",headingTag:"h1"}}),g=new F({props:{title:"Contribute",local:"contribute",headingTag:"h2"}}),{c(){n=s("meta"),v=i(),m=s("p"),y=i(),O(u.$$.fragment),_=i(),c=s("p"),c.innerHTML=q,x=i(),h=s("p"),h.innerHTML=E,H=i(),l=s("div"),l.innerHTML=D,T=i(),O(g.$$.fragment),k=i(),p=s("p"),p.innerHTML=I,$=i(),f=s("p"),f.innerHTML=A,C=i(),b=s("p"),this.h()},l(e){const t=J("svelte-u9bgzb",document.head);n=d(t,"META",{name:!0,content:!0}),t.forEach(a),v=r(e),m=d(e,"P",{}),R(m).forEach(a),y=r(e),N(u.$$.fragment,e),_=r(e),c=d(e,"P",{"data-svelte-h":!0}),w(c)!=="svelte-1329yya"&&(c.innerHTML=q),x=r(e),h=d(e,"P",{"data-svelte-h":!0}),w(h)!=="svelte-b9hvl6"&&(h.innerHTML=E),H=r(e),l=d(e,"DIV",{class:!0,"data-svelte-h":!0}),w(l)!=="svelte-14k23kw"&&(l.innerHTML=D),T=r(e),N(g.$$.fragment,e),k=r(e),p=d(e,"P",{"data-svelte-h":!0}),w(p)!=="svelte-dcwgl2"&&(p.innerHTML=I),$=r(e),f=d(e,"P",{"data-svelte-h":!0}),w(f)!=="svelte-1qgc8mu"&&(f.innerHTML=A),C=r(e),b=d(e,"P",{}),R(b).forEach(a),this.h()},h(){M(n,"name","hf:doc:metadata"),M(n,"content",Z),M(l,"class","mt-10")},m(e,t){Q(document.head,n),o(e,v,t),o(e,m,t),o(e,y,t),S(u,e,t),o(e,_,t),o(e,c,t),o(e,x,t),o(e,h,t),o(e,H,t),o(e,l,t),o(e,T,t),S(g,e,t),o(e,k,t),o(e,p,t),o(e,$,t),o(e,f,t),o(e,C,t),o(e,b,t),P=!0},p:Y,i(e){P||(U(u.$$.fragment,e),U(g.$$.fragment,e),P=!0)},o(e){j(u.$$.fragment,e),j(g.$$.fragment,e),P=!1},d(e){e&&(a(v),a(m),a(y),a(_),a(c),a(x),a(h),a(H),a(l),a(T),a(k),a(p),a($),a(f),a(C),a(b)),a(n),B(u,e),B(g,e)}}}const Z='{"title":"🤗 Hub client library","local":"-hub-client-library","sections":[{"title":"Contribute","local":"contribute","sections":[],"depth":2}],"depth":1}';function ee(L){return z(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=W}),[]}class ne extends K{constructor(n){super(),V(this,n,ee,X,G,{})}}export{ne as component};
